CentOS 6.8 上 MySQL-server 数据库安装失败-阿里云开发者社区

开发者社区> 数据库> 正文

CentOS 6.8 上 MySQL-server 数据库安装失败

简介:

在 MySQL 官网下载 5.6 GPL 版本进行 yum install 安装的时候提示 libstdc++.so 有问题,如下图:

Error: Package: MySQL-server-5.6.41-1.el7.x86_64 (/MySQL-server-5.6.41-1.el7.x86_64)
           Requires: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
Error: Package: MySQL-server-5.6.41-1.el7.x86_64 (/MySQL-server-5.6.41-1.el7.x86_64)
           Requires: libc.so.6(GLIBC_2.15)(64bit)
Error: Package: MySQL-server-5.6.41-1.el7.x86_64 (/MySQL-server-5.6.41-1.el7.x86_64)
           Requires: libc.so.6(GLIBC_2.16)(64bit)
Error: Package: MySQL-server-5.6.41-1.el7.x86_64 (/MySQL-server-5.6.41-1.el7.x86_64)
           Requires: libc.so.6(GLIBC_2.14)(64bit)
Error: Package: MySQL-server-5.6.41-1.el7.x86_64 (/MySQL-server-5.6.41-1.el7.x86_64)
           Requires: libc.so.6(GLIBC_2.17)(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

在网上所有了一番结果之后大概知道需要升级 gcc 版本,可是网上找对应的版本 GLIBCXX_3.4.15 很麻烦,有一个是需要下载 chrome 的 rpm 包进行安装之后获得 GLIBCXX_3.4.15 版本。

想到了阿里云有一个 yum 仓库(https://opsx.alibaba.com/mirror ),于是在仓库中搜索 libstdc 发现很多版本都有,下载了其中一个 compat-gcc-34-c++-3.4.6-19.el6.x86_64.rpm 进行安装之后发现安全一切顺利,命令: yum install ./compat-gcc-34-c++-3.4.6-19.el6.x86_64.rpm ,安装成功如图:
image

后来发现只需要安装 MySQL-devel-5.6.41-1.el6.x86_64.rpm MySQL-shared-compat-5.6.41-1.el6.x86_64.rpm 包就可以解决了

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
数据库
使用钉钉扫一扫加入圈子
+ 订阅

分享数据库前沿,解构实战干货,推动数据库技术变革

其他文章